创建子账户的APIkey
为子账户创建APIkey
请求示例
POST /api/v3/sub-account/apiKey
body
[
{
"subAccount":"subAccount1",
"permissions":"SPOT_ACCOUNT_READ",
"ip":"135.181.193",
"note":"1"
}
]
返回示例
{
"subAccount": "subAccount1",
"note": "1",
"apiKey": "arg13sdfgs",
"secretKey": "nkjwn21973ihi",
"permissions": "SPOT_ACCOUNT_READ",
"ip": "135.181.193",
"createTime": 1597026383085
}
HTTP请求
- POST
/api/v3/sub-account/apiKey
接口权限要求: 账户读 / SPOT_ACCOUNT_R
权重(IP): 1
请求参数
| 参数名 | 类型 | 是否必须 | 说明 |
|---|---|---|---|
| subAccount | string | 是 | 子账户名称 如:subAccount1 |
| note | string | 是 | APIKey的备注 |
| permissions | string | 是 | APIKey权限: 账户读/SPOT_ACCOUNT_READ, 账户写/SPOT_ACCOUNT_WRITE, 现货交易信息读/SPOT_DEAL_READ, 现货交易信息写/SPOT_DEAL_WRITE, 合约账户信息读/CONTRACT_ACCOUNT_READ, 合约账户信息写/CONTRACT_ACCOUNT_WRITE, 合约交易信息读/CONTRACT_DEAL_READ, 合约交易信息写/CONTRACT_DEAL_WRITE, 资金划转读/SPOT_TRANSFER_READ, 资金划转写/SPOT_TRANSFER_WRITE |
| ip | string | 否 | 绑定ip地址,多个ip用半角逗号隔开,最多支持20个ip。 如:135.181.193 |
| recvWindow | long | 否 | |
| timestamp | long | 是 |
返回参数
| 参数名 | 类型 | 说明 |
|---|---|---|
| subAccount | string | 子账户名称 |
| note | string | APIKey的备注 |
| apiKey | string | API公钥 |
| secretKey | string | API的私钥 |
| permissions | string | APIKey权限 |
| ip | string | APIKey绑定的ip地址 |
| createTime | long | 创建时间 |